Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class TernaryExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.TernaryExpression

    public class TernaryExpression
    extends Expression

Represents a ternary expression (booleanExpression) ? expression : expression

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)`

Method Summary
`BooleanExpression` | `getBooleanExpression()`
`Expression` | `getFalseExpression()`
`java.lang.String` | `getText()`
`Expression` | `getTrueExpression()`
`ClassNode` | `getType()`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TernaryExpression

    public TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)

Method Detail

### getBooleanExpression

    public BooleanExpression getBooleanExpression()

### getFalseExpression

    public Expression getFalseExpression()

### getText

    public java.lang.String getText()

### getTrueExpression

    public Expression getTrueExpression()

### getType

    public ClassNode getType()

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation